import { traverseAndProcessFilesInFolderpath } from '../utils.js';
import { addIndexFileTraverseHandler } from './addIndexFileTraverseHandler.js';
import { kAddIndexFileConstants } from './constants.js';
import { prepareRuntimeOpts } from './prepareRuntimeOpts.js';
import { writeIndexFile } from './writeIndexFile.js';
export async function addIndexFileCmd(opts) {
    var _a;
    const rOpts = prepareRuntimeOpts(opts, kAddIndexFileConstants.maxEntriesToWriteCount);
    await traverseAndProcessFilesInFolderpath({
        folderpath: opts.absFolderpath,
        handler: addIndexFileTraverseHandler,
        handlerArgs: [rOpts],
    });
    if ((_a = rOpts.fEntries) === null || _a === void 0 ? void 0 : _a.entries.length) {
        await writeIndexFile(rOpts.fEntries, rOpts, /** propagateToParent */ true);
    }
}
//# sourceMappingURL=addIndexFileCmd.js.map